#region

using System.IO;
using System.Runtime.Serialization.Formatters.Binary;

#endregion

namespace Eve_Class_Library
{
    public class EVESerializer
    {
        #region Nested type: DataSerializer

        public static class DataSerializer
        {
            private static readonly BinaryFormatter _formatter = new BinaryFormatter();


            public static void WriteToFile<T>(string fileName, T objectData)
            {
                using (FileStream fStream = new FileStream(fileName, FileMode.Create))
                    _formatter.Serialize(fStream, objectData);
            }

            public static T ReadFromFile<T>(string fileName)
            {
                using (FileStream fStream = new FileStream(fileName, FileMode.Open))
                    return (T) _formatter.Deserialize(fStream);
            }
        }

        #endregion
    }
}