using System;
using System.Drawing;
using System.Runtime.Serialization;
using libEveMapNG.Data.Static;

namespace libEveMapNG.Data.Dynamic
{
    [Serializable]
    public class JumpBridge
    {
        [NonSerialized] public SolarSystem From;
        [NonSerialized] public SolarSystem To;
        private int from;
        private int to;
        public JumpBridgePos Base { get; set; }
        public JumpBridgePos Destination { get; set; }
        public Color BridgeLine { get; set; }
        public string Password { get; set; }
        public string Corporation { get; set; }

        [OnSerializing]
        internal void OnSerializing(StreamingContext context)
        {
            to = To.ID;
            from = From.ID;
        }

        [OnDeserialized]
        internal void OnDeserialized(StreamingContext context)
        {
            To = SolarSystem.GetByID(to);
            From = SolarSystem.GetByID(from);
        }
    }

    [Serializable]
    public class JumpBridgePos
    {
        public int Planet { get; set; }
        public int Moon { get; set; }
    }
}