﻿using System;
using System.Collections.Generic;
using libEveMapNG.Data.Static;

namespace libEveMapNG.Data.Dynamic
{
    [Serializable]
    public class JumpRoute
    {
        public Dictionary<SolarSystem, bool> AvoidSystems;
        public bool useBeacons;
        public bool useBridges;

        public JumpRoute()
        {
            useBridges = true;
            useBeacons = true;
            AvoidSystems = new Dictionary<SolarSystem, bool>();
            WayPoints = new List<SolarSystem>();
        }

        public SolarSystem StartSystem { get; set; }
        public List<SolarSystem> WayPoints { get; set; }
        public SolarSystem DestSystem { get; set; }
        public ShipProfile ShipProfile { get; set; }
    }

    [Serializable]
    public class ShipProfile
    {
        public int JDC { get; set; }
        public int JFC { get; set; }
        public int JF { get; set; }
        public CapitalShips.Ship Ship { get; set; }
    }
}