﻿using System;
using System.Collections.Generic;

namespace libEveMapNG.Data.Static
{
    public static class CapitalShips
    {
        private static Dictionary<string, Ship> ships;

        public static Dictionary<string, Ship> Ships
        {
            get
            {
                if (ships != null)
                    return ships;
                ships = new Dictionary<string, Ship>
                            {
                                {"Moros", new Dreadnought {Name = "Moros", Mass = 1175f}},
                                {"Phoenix", new Dreadnought {Name = "Phoenix", Mass = 1200f}},
                                {"Revelation", new Dreadnought {Name = "Revelation", Mass = 1125f}},
                                {"Naglfar", new Dreadnought {Name = "Naglfar", Mass = 1025f}},
                                {"Thanatos", new Carrier {Name = "Thanatos", Mass = 1057.5f}},
                                {"Chimera", new Carrier {Name = "Chimera", Mass = 1080f}},
                                {"Archon", new Carrier {Name = "Archon", Mass = 1012.5f}},
                                {"Nidhoggur", new Carrier {Name = "Nidhoggur", Mass = 922.5f}},
                                {"Nyx", new Mothership {Name = "Nyx", Mass = 1292.5f}},
                                {"Wyvern", new Mothership {Name = "Wyvern", Mass = 1320f}},
                                {"Aeon", new Mothership {Name = "Aeon", Mass = 1237.5f}},
                                {"Hel", new Mothership {Name = "Hel", Mass = 1127.5f}},
                                {"Erebus", new Titan {Name = "Erebus", Mass = 1762.5f}},
                                {"Leviathan", new Titan {Name = "Leviathan", Mass = 1800f}},
                                {"Avatar", new Titan {Name = "Avatar", Mass = 1687.5f}},
                                {"Ragnarok", new Titan {Name = "Ragnarok", Mass = 1537.5f}},
                                {"Rorqual", new CapitalIndustrial {Name = "Rorqual", Mass = 1180f}},
                                {"Anshar", new Anshar {Name = "Anshar"}},
                                {"Rhea", new Rhea {Name = "Rhea"}},
                                {"Ark", new Ark {Name = "Ark"}},
                                {"Nomad", new Nomad {Name = "Nomad"}},
                                {"Sin", new BlackOps {Name = "Sin", Mass = 141.7f}},
                                {"Widow", new BlackOps {Name = "Widow", Mass = 151.1f}},
                                {"Redeemer", new BlackOps {Name = "Redeemer", Mass = 150.3f}},
                                {"Panther", new BlackOps {Name = "Panther", Mass = 148.8f}}
                            };
                return ships;
            }
        }

        #region Nested type: Anshar

        [Serializable]
        public class Anshar : Ship
        {
            public override int FuelConsumption
            {
                get { return 3100; }
            }

            public override float JumpDistance
            {
                get { return 5.0f; }
            }

            public override float Mass
            {
                get { return 1175f; }
                set { throw new NotImplementedException(); }
            }

            public override string Name { get; set; }
        }

        #endregion

        #region Nested type: Ark

        [Serializable]
        public class Ark : Ship
        {
            public override int FuelConsumption
            {
                get { return 2900; }
            }

            public override float JumpDistance
            {
                get { return 5.0f; }
            }

            public override float Mass
            {
                get { return 1125f; }
                set { throw new NotImplementedException(); }
            }

            public override string Name { get; set; }
        }

        #endregion

        #region Nested type: BlackOps

        [Serializable]
        public class BlackOps : Ship
        {
            public override float JumpDistance
            {
                get { return 2.0f; }
            }

            public override int FuelConsumption
            {
                get { return 300; }
            }

            public override float Mass { get; set; }
            public override string Name { get; set; }
        }

        #endregion

        #region Nested type: CapitalIndustrial

        [Serializable]
        public class CapitalIndustrial : Ship
        {
            public override float JumpDistance
            {
                get { return 5.0f; }
            }

            public override int FuelConsumption
            {
                get { return 1000; }
            }

            public override float Mass { get; set; }
            public override string Name { get; set; }
        }

        #endregion

        #region Nested type: Carrier

        [Serializable]
        public class Carrier : Ship
        {
            public override int FuelConsumption
            {
                get { return 1000; }
            }

            public override float JumpDistance
            {
                get { return 6.5f; }
            }

            public override float Mass { get; set; }
            public override string Name { get; set; }
        }

        #endregion

        #region Nested type: Dreadnought

        [Serializable]
        public class Dreadnought : Ship
        {
            public override float JumpDistance
            {
                get { return 5.0f; }
            }

            public override int FuelConsumption
            {
                get { return 1000; }
            }

            public override float Mass { get; set; }
            public override string Name { get; set; }
        }

        #endregion

        #region Nested type: Mothership

        [Serializable]
        public class Mothership : Ship
        {
            public override float JumpDistance
            {
                get { return 4.0f; }
            }

            public override int FuelConsumption
            {
                get { return 1000; }
            }

            public override float Mass { get; set; }
            public override string Name { get; set; }
        }

        #endregion

        #region Nested type: Nomad

        [Serializable]
        public class Nomad : Ship
        {
            public override int FuelConsumption
            {
                get { return 2700; }
            }

            public override float JumpDistance
            {
                get { return 5.0f; }
            }

            public override float Mass
            {
                get { return 1025f; }
                set { throw new NotImplementedException(); }
            }

            public override string Name { get; set; }
        }

        #endregion

        #region Nested type: Rhea

        [Serializable]
        public class Rhea : Ship
        {
            public override int FuelConsumption
            {
                get { return 3300; }
            }

            public override float JumpDistance
            {
                get { return 5.0f; }
            }

            public override float Mass
            {
                get { return 1200f; }
                set { throw new NotImplementedException(); }
            }

            public override string Name { get; set; }
        }

        #endregion

        #region Nested type: Ship

        public abstract class Ship
        {
            public abstract float JumpDistance { get; }
            public abstract int FuelConsumption { get; }
            public abstract string Name { get; set; }
            public abstract float Mass { get; set; }
        }

        #endregion

        #region Nested type: Titan

        [Serializable]
        public class Titan : Ship
        {
            public override float JumpDistance
            {
                get { return 3.5f; }
            }

            public override int FuelConsumption
            {
                get { return 1000; }
            }

            public override float Mass { get; set; }
            public override string Name { get; set; }
        }

        #endregion
    }
}