using System;
using System.ComponentModel;
using System.Windows.Forms;
using libEveMapNG.Data.Dynamic;

namespace libEveMapNG.EveAPI
{
    public partial class ApiWorker : Form
    {
        private readonly ApiFetch UpdateType;

        public ApiWorker(ApiFetch fetch)
        {
            UpdateType = fetch;
            InitializeComponent();
        }

        private void APIBackgroundWorker_DoWork(object sender, DoWorkEventArgs e)
        {
            switch (UpdateType)
            {
                case (ApiFetch.Alliance):
                    DynamicStore.Instance.ApiData.UpdateAllianceApiData();
                    break;
                case (ApiFetch.MapKills):
                    DynamicStore.Instance.ApiData.UpdateMapApipData();
                    break;
                case (ApiFetch.Sovereignty):
                    DynamicStore.Instance.ApiData.UpdateSovereigntyApiData();
                    break;
                case (ApiFetch.Full):
                    DynamicStore.Instance.ApiData.UpdateAllApiData();
                    break;
                case (ApiFetch.Starbase):
                    DynamicStore.Instance.ApiData.UpdateAllStarbases();
                    break;
            }
        }

        private void ApiWorker_Load(object sender, EventArgs e)
        {
            APIBackgroundWorker.RunWorkerAsync();
        }

        private void APIBackgroundWorker_RunWorkerCompleted(object sender, RunWorkerCompletedEventArgs e)
        {
            Close();
        }
    }
}