﻿using System;
using System.Collections.Generic;
using libeveapi;
using libEveMapNG.Data.Dynamic;

namespace libEveMapNG.EveAPI.Data
{
    [Serializable]
    public class Character
    {
        public int CharacterId;
        public string CoportationName;
        public int CorporationId;
        public string Name;
        public bool Selected;

        public static Character SelectedCharacter
        {
            get
            {
                foreach (KeyValuePair<int, Character> c in DynamicStore.Instance.ApiData.Characters)
                {
                    if (c.Value.Selected)
                        return c.Value;
                }
                return null;
            }
        }

        public override string ToString()
        {
            return Name;
        }

        public static List<Character> GetCharacters(string ApiKey, int UserID)
        {
            List<Character> myChars = new List<Character>();
            CharacterList characterList = EveApi.GetAccountCharacters(UserID, ApiKey);
            foreach (CharacterList.CharacterListItem character in characterList.CharacterListItems)
            {
                Character myChar = new Character
                                       {
                                           CharacterId = character.CharacterId,
                                           CoportationName = character.CorporationName,
                                           CorporationId = character.CorporationId,
                                           Name = character.Name
                                       };
                myChars.Add(myChar);
            }
            return myChars;
        }
    }
}