using System;
using libeveapi;
using libEveMapNG.Data.Dynamic;

namespace libEveMapNG.EveAPI.Data
{
    [Serializable]
    public class ConquerableStation
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public int StationTypeId { get; set; }
        public int SolarSystemId { get; set; }
        public int CorporationId { get; set; }

        public static void UpdateConquerableStations()
        {
            ConquerableStationList conqList = EveApi.GetConquerableStationList();
            ConquerableStation myStation;
            Corporation myCorporation;
            foreach (ConquerableStationList.ConquerableStation station in conqList.ConquerableStations)
            {
                myStation = new ConquerableStation
                                {
                                    CorporationId = station.CorporationId,
                                    Id = station.StationId,
                                    Name = station.StationName,
                                    SolarSystemId = station.SolarSystemId,
                                    StationTypeId = station.StationTypeId
                                };
                if (DynamicStore.Instance.ApiData.ConquerableStations.ContainsKey(myStation.SolarSystemId))
                    DynamicStore.Instance.ApiData.ConquerableStations[myStation.SolarSystemId] = myStation;
                else
                    DynamicStore.Instance.ApiData.ConquerableStations.Add(myStation.SolarSystemId, myStation);
                myCorporation = new Corporation
                                    {
                                        Id = station.CorporationId,
                                        Name = station.CorporationName
                                    };
                if (DynamicStore.Instance.ApiData.Corporations.ContainsKey(station.CorporationId))
                    DynamicStore.Instance.ApiData.Corporations[station.CorporationId] = myCorporation;
                else
                    DynamicStore.Instance.ApiData.Corporations.Add(myStation.CorporationId, myCorporation);
            }
        }
    }
}