using System;
using libeveapi;
using libEveMapNG.Data.Dynamic;

namespace libEveMapNG.EveAPI.Data
{
    [Serializable]
    public class Jumps
    {
        public int SolarSystemId { get; set; }
        public int ShipJumps { get; set; }

        public static void UpdateJumps()
        {
            MapJumps mapJumps = EveApi.GetMapJumps();
            Jumps myJumps;
            foreach (MapJumps.MapSystemItem jump in mapJumps.MapSystemJumps)
            {
                myJumps = new Jumps
                              {
                                  ShipJumps = jump.ShipJumps,
                                  SolarSystemId = jump.SolarSystemId
                              };
                if (
                    DynamicStore.Instance.ApiData.MapJumps.ContainsKey(
                        jump.SolarSystemId))
                {
                    DynamicStore.Instance.ApiData.MapJumps[jump.SolarSystemId] =
                        myJumps;
                }
                else
                    DynamicStore.Instance.ApiData.MapJumps.Add(jump.SolarSystemId, myJumps);
            }
        }
    }
}