using System;
using libeveapi;
using libEveMapNG.Data.Dynamic;

namespace libEveMapNG.EveAPI.Data
{
    [Serializable]
    public class Kills
    {
        public int SolarSystemId { get; set; }
        public int ShipKills { get; set; }
        public int FactionKills { get; set; }
        public int PodKills { get; set; }

        public static void UpdateKills()
        {
            MapKills mapKills = EveApi.GetMapKills();
            Kills myKills;
            foreach (MapKills.MapKillsItem kill in mapKills.MapSystemKills)
            {
                myKills = new Kills
                              {
                                  FactionKills = kill.FactionKills,
                                  PodKills = kill.PodKills,
                                  ShipKills = kill.ShipKills,
                                  SolarSystemId = kill.SolarSystemId
                              };
                if (
                    DynamicStore.Instance.ApiData.MapKills.ContainsKey(
                        kill.SolarSystemId))
                {
                    DynamicStore.Instance.ApiData.MapKills[kill.SolarSystemId] =
                        myKills;
                }
                else
                {
                    DynamicStore.Instance.ApiData.MapKills.Add(kill.SolarSystemId,
                                                               myKills);
                }
            }
        }
    }
}