using System;
using System.Drawing;
using libEveMapNG.Data.Static;

namespace libEveMapNG.Renderer.Text
{
    public class SecurityColorScheme : PartitionedColorScheme
    {
        protected override void LoadColors()
        {
            colors = new Color[11];
            colors[10] = Color.FromArgb(215, 215, 255);
            colors[9] = Color.FromArgb(155, 255, 255);
            colors[8] = Color.FromArgb(18, 255, 255);
            colors[7] = Color.FromArgb(140, 255, 148);
            colors[6] = Color.FromArgb(136, 215, 26);
            colors[5] = Color.FromArgb(255, 255, 0);
            colors[4] = Color.FromArgb(215, 215, 0);
            colors[3] = Color.FromArgb(209, 134, 0);
            colors[2] = Color.FromArgb(209, 89, 0);
            colors[1] = Color.FromArgb(140, 16, 0);
            colors[0] = Color.FromArgb(0, 22, 61);
        }

        protected override object GetSystemIndex(SolarSystem system)
        {
            return Convert.ToInt32(Math.Max(Math.Round(system.Security, 1), 0)*10);
        }
    }
}