﻿using System.Collections.Generic;
using libEveMapNG.Data.Static;

namespace libEveMapNG.Types
{
    public enum EveRatType
    {
        Angel,
        Drone,
        Sansha,
        Gurista,
        Blood,
        Serpentis,
        None
    }

    public class EveRats
    {
        public static Dictionary<EveRatType, string> RatAbbreviations = new Dictionary<EveRatType, string>
                                                                            {
                                                                                {EveRatType.Serpentis, "Srp"},
                                                                                {EveRatType.Angel, "Ang"},
                                                                                {EveRatType.Sansha, "San"},
                                                                                {EveRatType.Blood, "Bld"},
                                                                                {EveRatType.Drone, "Dro"},
                                                                                {EveRatType.Gurista, "Gur"}
                                                                            };

        public static EveRatType GetRatType(string regionName)
        {
            switch (regionName)
            {
                case "Cache":
                case "Curse":
                case "Detorid":
                case "Feythabolis":
                case "Great Wildlands":
                case "Heimatar":
                case "Immensea":
                case "Insmother":
                case "Metropolis":
                case "Molden Heath":
                case "Omist":
                case "Scalding Pass":
                case "Tenerifis":
                case "Wicked Creek":
                case "Impass":
                    return EveRatType.Angel;
                case "Cobalt Edge":
                case "Etherium Reach":
                case "Malpais":
                case "Oasa":
                case "Perrigen Falls":
                case "The Kalevale Expanse":
                case "The Spire":
                    return EveRatType.Drone;
                case "Catch":
                case "Esoteria":
                case "Paragon Soul":
                case "Providence":
                case "Stain":
                    return EveRatType.Sansha;
                case "Branch":
                case "Deklein":
                case "Geminate":
                case "Lonetrek":
                case "Tenal":
                case "The Citadel":
                case "The Forge":
                case "Tribute":
                case "Vale of the Silent":
                case "Venal":
                case "Black Rise":
                    return EveRatType.Gurista;
                case "Delve":
                case "Period Basis":
                case "Querious":
                case "Tash-Murkon":
                case "Kador":
                case "Khanid":
                case "Kor-Azor":
                case "Aridia":
                case "Derelik":
                case "Devoid":
                case "Domain":
                case "Genesis":
                case "The Bleak Lands":
                    return EveRatType.Blood;
                case "Cloud Ring":
                case "Essence":
                case "Everyshore":
                case "Fade":
                case "Fountain":
                case "Outer Ring":
                case "Placid":
                case "Sinq Laison":
                case "Solitude":
                case "Syndicate":
                case "Verge Vendor":
                case "Pure Blind":
                    return EveRatType.Serpentis;
                default:
                    return EveRatType.None;
            }
        }

        public static EveRatType GetRatType(int regionId)
        {
            return GetRatType(Region.GetByID(regionId).Name);
        }
    }
}