using System.Drawing;
using libEveMapNG.Data.Static;
using Region = libEveMapNG.Data.Static.Region;

namespace libEveMapNG.Types
{
    public static class Universe
    {
        public static RectangleF Bounds
        {
            get
            {
                PointF min = new PointF(int.MaxValue, int.MaxValue);
                PointF max = new PointF(int.MinValue, int.MinValue);
                foreach (Region region in StaticStore.Instance.Regions)
                {
                    RectangleF area = region.Bounds;
                    if (area.Left < min.X)
                        min.X = area.Left;
                    if (area.Top < min.Y)
                        min.Y = area.Top;
                    if (area.Right > max.X)
                        max.X = area.Right;
                    if (area.Bottom > max.Y)
                        max.Y = area.Bottom;
                }
                return RectangleF.FromLTRB(min.X, min.Y, max.X, max.Y);
            }
        }
    }
}