﻿using System;
using System.Collections.Generic;
using libEveMapNG.Data.Dynamic;
using libEveMapNG.Data.Static;

namespace libEveMapNG.Types
{
    [Serializable]
    ///This class should really be split into two types for gate and cyno routing, deriving from some common base since most 
        /// of the variables are the same
    public class Vertex : IComparable<Vertex>
    {
        public List<Vertex> Adjacencies;
        public CynoBeacon Beacon;
        public JumpBridgeEdge Bridge;
        public int FuelCost;
        public JumpType JumpType;
        public SolarSystem SolarSystem { get; set; }

        /* Algorithm variables  */
        public SolarSystem Path { get; set; }
        public float LYTraveled { get; set; }
        public float Cost { get; set; }

        /* Path variables */

        #region IComparable<Vertex> Members

        public int CompareTo(Vertex other)
        {
            return Cost.CompareTo(other.Cost);
        }

        #endregion

        //Im so fucking lazy and this class is so fucking sloppy but it 'works'
        //so hahahah whatever.
        internal Vertex Copy()
        {
            Vertex copy = new Vertex
                              {
                                  SolarSystem = SolarSystem,
                                  Adjacencies = Adjacencies,
                                  Beacon = Beacon,
                                  Bridge = Bridge,
                                  Cost = Cost,
                                  FuelCost = FuelCost,
                                  JumpType = JumpType,
                                  LYTraveled = LYTraveled,
                                  Path = Path
                              };
            return copy;
        }
    }

    public class GateVertex : Vertex
    {
    }

    public class JumpVertex : Vertex
    {
        //public CynoBeacon Beacon;
    }

    public struct CostWrapper
    {
        public CynoBeacon Beacon;
        public float Cost;
        public int FuelCost;
        public JumpType JumpType;
    }

    public struct JumpBridgeEdge
    {
        public JumpBridge Bridge;
        public SolarSystem From;
        public JumpBridgePos Pos;
        public SolarSystem To;
    }
}