﻿using System;
using System.Collections.Generic;
using System.Drawing;

namespace libEveMapNG.Utility
{
    public static class AllianceColors
    {
        //Generate 125 random colors
        public static List<Color> GenerateRandomizedColors()
        {
            const byte alpha = 0x90;
            Random rg = new Random();
            var colors = new List<Color>();

            for (int r = 0; r <= 4; r++)
                for (int g = 0; g <= 4; g++)
                    for (int b = 0; b <= 4; b++)
                        colors.Add(Color.FromArgb(alpha, (r*255/4), (g*255/4), (b*255/4)));


            for (int i = 0; i < colors.Count; i++) // knuth permutation, swap each element with a randomly chosen one
            {
                int j = rg.Next(0, colors.Count);
                Color temp = colors[j];
                colors[j] = colors[i];
                colors[i] = temp;
            }

            return colors;
        }
    }
}