using System.Drawing;
using libEveMapNG.Data.Static;

namespace libEveMapNG.Utility
{
    internal class GateLinkColor
    {
        private static readonly Color[] colorHash = new Color[4];

        static GateLinkColor()
        {
            colorHash[(int) GateType.Undefined] = Color.White;
            colorHash[(int) GateType.Normal] = Color.FromArgb(255, 161, 194, 255);
            colorHash[(int) GateType.InterRegion] = Color.FromArgb(255, 162, 30, 30);
            colorHash[(int) GateType.InterConstellation] = Color.FromArgb(255, 255, 161, 161);
        }

        public static Pen GetGateLinkColorPen(GateType type)
        {
            return GetGateLinkColorPen(type, 2f);
        }

        public static Pen GetGateLinkColorPen(GateType type, float size)
        {
            return new Pen(colorHash[(int) type], size);
        }
    }
}