using System;
using System.Collections.Generic;
using System.Linq;
using libEveMapNG.Data.Static;

namespace libEveMapNG.Utility
{
    public static class GuiTools
    {
        public static List<SolarSystem> SearchForSystem(string systemNamePart, bool FilterHighSec)
        {
            if (string.IsNullOrEmpty(systemNamePart))
                return new List<SolarSystem>();
            IEnumerable<SolarSystem> validSystems =
                (from region in StaticStore.Instance.Regions
                 from constellation in region.Constellations
                 from system in constellation.Systems
                 where system.Name.IndexOf(systemNamePart, 0, StringComparison.CurrentCultureIgnoreCase) == 0
                 select system);
            if (FilterHighSec)
                validSystems = (from system in validSystems where system.Security <= 0.45f select system);
            if (validSystems.Count() == 0 ||
                validSystems.Count() > 20)
                return new List<SolarSystem>();
            return validSystems.ToList();
        }
    }
}