namespace libeveapi
{
    /// <summary>
    ///   A list of solar systems and the NPC faction currently occupying them.
    ///   http://wiki.eve-id.net/APIv2_Factional_Warfare_Occupancy_XML
    /// </summary>
    public class MapFacWarSystems : ApiResponse
    {
        private FactionWarSystem[] factionWarSystems = new FactionWarSystem[0];

        public FactionWarSystem[] FactionWarSystems
        {
            get { return factionWarSystems; }
            set { factionWarSystems = value; }
        }

        #region Nested type: FactionWarSystem

        /// <summary>
        ///   Faction occupation information about a single solar system
        /// </summary>
        public class FactionWarSystem
        {
            /// <summary>
            ///   Unique ID of a solar system
            /// </summary>
            public int SolarSystemId { get; set; }

            /// <summary>
            ///   Name of the solar system
            /// </summary>
            public string SolarSystemName { get; set; }

            /// <summary>
            ///   ID of the NPC faction occupying this system or 0 if the default faction occupies the system
            /// </summary>
            public int OccupyingFactionId { get; set; }

            /// <summary>
            ///   Name of the occupying faction
            /// </summary>
            public string OccupyingFactionName { get; set; }

            /// <summary>
            ///   Whether the system is being fought over
            /// </summary>
            public bool Contested { get; set; }
        }

        #endregion
    }
}